- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments/batchUpdate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments/batchUpdate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments/batchUpdate#body.request_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments/batchUpdate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments/batchUpdate#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments/batchUpdate#body.BatchUpdateAudienceSegmentsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments/batchUpdate#body.aspect)
- [UpdateAudienceSegmentRequest](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments/batchUpdate#UpdateAudienceSegmentRequest)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments/batchUpdate#UpdateAudienceSegmentRequest.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments/batchUpdate#try-it)

Batch updates `AudienceSegment` objects.

### HTTP request

`POST https://admanager.googleapis.com/v1/{parent}/audienceSegments:batchUpdate`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where `AudienceSegments` will be updated. Format: `networks/{networkCode}` The parent field in the UpdateAudienceSegmentRequest.audienceSegment must match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments/batchUpdate#UpdateAudienceSegmentRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments/batchUpdate#UpdateAudienceSegmentRequest`)`` Required. The `AudienceSegment` objects to update. A maximum of 100 objects can be updated in a batch. |

### Response body

Response object for `audienceSegments.batchUpdate` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "audienceSegments": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments#AudienceSegment`) } ] } ``` |

| Fields ||
|---|---|
| `audienceSegments[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments#AudienceSegment`)`` The `AudienceSegment` objects updated. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## UpdateAudienceSegmentRequest

Request object for `audienceSegments.patch` method.

| JSON representation |
|---|
| ``` { "audienceSegment": { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments#AudienceSegment`) }, "updateMask": string } ``` |

| Fields ||
|---|---|
| `audienceSegment` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.audienceSegments#AudienceSegment`)`` Required. The `AudienceSegment` to update. |
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The list of fields to update. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |